<template>
  <div class="flex">
    <Button
      class="rounded-l-full py-1 px-3 w-full "
      :main="$colorMode.value === 'light'"
      :secondary="$colorMode.value !== 'light'"
      :on-click="() => switchColor('light')"
    >
      <span class="text-sm font-bold">Terang</span>
    </Button>
    <Button
      class="py-1 px-3 rounded-r-full w-full"
      :black="$colorMode.value !== 'dark'"
      :main="$colorMode.value === 'dark'"
      :on-click="() => switchColor('dark')"
    >
      <span class="text-sm font-bold">Gelap</span>
    </Button>
  </div>
</template>

<script>
export default {
  methods: {
    switchColor(value) {
      this.$colorMode.preference = value;
    },
  },
};
</script>
